## mono-fuse 0.4.2+dfsg

=== debian/changelog ===
mono-fuse (0.4.2+dfsg-4.1) unstable; urgency=medium

  * Non maintainer upload by the Reproducible Builds team.
  * No source change upload to rebuild on buildd with .buildinfo files.

 -- Holger Levsen <holger@debian.org>  Wed, 06 Jan 2021 18:49:13 +0100

mono-fuse (0.4.2+dfsg-4) unstable; urgency=low

  * No-change rebuild for CLR 4.5 transition

 -- Jo Shields <directhex@apebox.org>  Wed, 09 Sep 2015 15:16:59 +0100

mono-fuse (0.4.2+dfsg-3) unstable; urgency=low

  * [5ffad20] fix build for mono 2.10. Closes: #627512

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 04 Jul 2011 18:36:16 +0100

mono-fuse (0.4.2+dfsg-2) unstable; urgency=low

  * Put full library path in pc file

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 07 Jan 2010 12:10:19 +0100

mono-fuse (0.4.2+dfsg-1) unstable; urgency=low

  * Strip create-native-map.exe (binary only executable) from upstream source.
  * Build depends on mono-tools-devel which provides create-native-map
  * Patch build system to use create-native-map provided by system
  * Add glue native library and library config file to pkg-config file

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 07 Jan 2010 12:10:06 +0100

mono-fuse (0.4.2-1) unstable; urgency=low

  * Initial release (Closes: #563052)

 -- Marco Nenciarini <mnencia@debian.org>  Thu, 31 Dec 2009 18:11:35 +0100
