=== debian/control ===
Source: mono-fuse
Section: cli-mono
Priority: optional
Maintainer: Debian CLI Libraries Team <pkg-cli-libs-team@lists.alioth.debian.org>
Uploaders: Marco Nenciarini <mnencia@debian.org>
Build-Depends: debhelper (>= 7.0.50~),
 libtool,
 automake,
 autoconf,
 cli-common-dev (>= 0.7),
 mono-devel (>= 2.4.2.3),
 mono-tools-devel,
 monodoc-base,
 libfuse-dev,
 libglib2.0-dev
Standards-Version: 3.8.3
Homepage: http://www.jprl.com/Projects/mono-fuse/
Vcs-Git: git://git.debian.org/git/pkg-cli-libs/packages/mono-fuse.git
Vcs-Browser: http://git.debian.org/?p=pkg-cli-libs/packages/mono-fuse.git

Package: libmono-fuse-cil
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ${cli:Depends}
Description: CLI binding for FUSE
 Mono.Fuse is a binding for the FUSE library, permitting user-space 
 file systems to be written in C# or other CLI based / enabled 
 languages.

Package: monodoc-mono-fuse-manual
Section: doc
Architecture: all
Depends: monodoc-manual, ${misc:Depends}
Description: compiled XML documentation for mono-fuse
 Mono.Fuse is a binding for the FUSE library, permitting user-space 
 file systems to be written in C# or other CLI based / enabled
 languages.
 .
 This package contains the compiled XML documentation for mono-fuse
