=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
http://www.jprl.com/Projects/mono-fuse/ mono-fuse-([\d\.]+)\.tar\.gz
